/* **********************************************************
 * Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

#ifndef _CPUID_INFO_H
#define _CPUID_INFO_H

#include "vm_basic_types.h"

/*
 * The CPUID structures should be unified as they appear to serve the
 * same purpose for the hosted and vmnix platforms.  See bug 23213.
 */

typedef struct CPUIDRegs {
   uint32 eax, ebx, ecx, edx;
} CPUIDRegs;

/*
 * Results of calling cpuid(eaxArg) on all logical processors. 
 */
typedef struct CPUIDInfo {
   uint32 numLogicalCPUs;
   uint32 eaxArg;
   CPUIDRegs regs[0];
} CPUIDInfo;


/*
 * CPUID struct used by ESX Server for vmmon interface and in
 * various other places.
 */

typedef struct CPUIDInfoVmk {
   int numEntries;
   char name[16];
   struct {
      uint32 version;
      uint32 ebx;
      uint32 ecx;
      uint32 features;
   } id1;
} CPUIDInfoVmk;

#endif
